# LEAD.

## Files

file | rpmlead.c
file | rpmlead.h
| Routines to read and write an rpm lead structure for a a package.

file | rpmlib.h

## Data Structures

struct | rpmlead

## Functions

int | writeLead (FD_t fd, const struct rpmlead *lead)
int | readLead (FD_t fd, struct rpmlead *lead)

## Function Documentation

int readLead | ( | FD_t | fd,
|  | struct rpmlead * | lead
| ) |

Read lead from file handle.

Parameters:

  fd | file handle

Return values:

  lead | data address

Returns:
  0 on success, 1 on error

Definition at line 45 of file rpmlead.c.

References _, errno, FD_t, Fstrerror(), RPMERR_READ, rpmError, and timedRead.

Referenced by main(), readPackageHeaders(), rpmCheckSig(), and rpmReSign().

int writeLead | ( | FD_t | fd,
|  | const struct rpmlead * | lead
| ) |

Write lead to file handle.

Parameters:

  fd | file handle
  lead | data address

Returns:
  0 on success, 1 on error

Definition at line 20 of file rpmlead.c.

References rpmlead::archnum, FD_t, Fwrite(), rpmlead::magic, rpmlead::osnum, RPMLEAD_MAGIC0, RPMLEAD_MAGIC1, RPMLEAD_MAGIC2, RPMLEAD_MAGIC3, rpmlead::signature_type, and rpmlead::type.

Referenced by main(), psmStage(), rpmReSign(), and writeRPM().